package org.fazlan.lucene.demo;



import java.io.File;
import java.io.IOException;
import java.util.List;

import org.apache.lucene.queryparser.classic.ParseException;


// http://fazlansabar.blogspot.no/2012/06/apache-lucene-tutorial-lucene-for-text.html


public class FileIndexApplication {
    // location where the index will be stored.
    private static final String INDEX_DIR = "c:\\index";
    private static final int DEFAULT_RESULT_SIZE = 100;

    public static void main(String[] args) throws IOException, ParseException {

    	MSDocumentIndexer msDocumentIndexer = new MSDocumentIndexer();  
////        File msWordFile = new File("src/main/resources/files/MSWord.doc");  
////        File msWord2003File = new File("src/main/resources/files/MSWord.docx");  
        File firstnamesFile = new File("C:\\Dropbox\\Firstnames.xlsx");
        File lastnamesFile = new File("C:\\Dropbox\\Lastnames.xlsx");  
        File positionTitlesFile = new File("C:\\Dropbox\\PositionTitles.xlsx");  
//
//        // creating the indexer and indexing the items  
        Indexer indexer = new Indexer(INDEX_DIR);  
////        indexer.index(msDocumentIndexer.index(msWordFile));  
////        indexer.index(msDocumentIndexer.index(msWord2003File));  
        indexer.index(msDocumentIndexer.index(firstnamesFile));  
        indexer.index(msDocumentIndexer.index(lastnamesFile));
        indexer.index(msDocumentIndexer.index(positionTitlesFile));
//
//        // close the index to enable them index  
        indexer.close();  

        // creating the Searcher to the same index location as the Indexer  
        Searcher searcher = new Searcher(INDEX_DIR);  
        List<IndexItem> result = searcher.findByContent("Managr~0.8", DEFAULT_RESULT_SIZE);  
        print(result);  

    	
//        File pdfFile = new File("src/main/resources/files/HelloPDFBox.pdf");
//        IndexItem pdfIndexItem = new PDFIndexer().index(pdfFile);
//
//        // creating the indexer and indexing the items
//        Indexer indexer = new Indexer(INDEX_DIR);
//        indexer.index(pdfIndexItem);
//
//        // close the index to enable them index
//        indexer.close();
//
//        // creating the Searcher to the same index location as the Indexer
//        Searcher searcher = new Searcher(INDEX_DIR);
//        List<IndexItem> result = searcher.findByContent("World", DEFAULT_RESULT_SIZE);
//        print(result);
        
    }

     /**
      * print the results.
      */
    private static void print(List<IndexItem> result) {
        System.out.println("Result Size: " + result.size());

        for (IndexItem item : result) {
            System.out.println(item.getTitle());
        }
    }
}
