﻿using MasterConsole.Code;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasterConsole
{

    

    class FuzzyNameResult
    {
        public FuzzyNameResult() {
            MiddleNames = new List<FuzzyResult>();
        }

        public FuzzyResult FirstName { get; set; }
        public List<FuzzyResult> MiddleNames { get; set; }
        public FuzzyResult LastName { get; set; }

        public double GetAverageValue
        {
            get
            {
                var numberOfNames = 0;
                var valueSum = 0.0;
                if (FirstName.Value != -1)
                {
                    valueSum += FirstName.Value;
                    numberOfNames++;
                }
                if (LastName.Value != -1)
                {
                    valueSum += LastName.Value;
                    numberOfNames++;
                }
                foreach (var name in MiddleNames.Where(m => m.Value != -1))
                {
                    valueSum += name.Value;
                    numberOfNames++;
                }

                return valueSum / (double)numberOfNames;
            }
        }

        public string GetBestNameMatch
        {
            get
            {
                return FirstName.BestMatch + " " + String.Join(" ", MiddleNames.Select(m => m.BestMatch)) + " " + LastName.BestMatch;
            }
        }

    }
}
