﻿using MasterConsole.Code;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasterConsole
{

    

    class FuzzyResult
    {
        /// <summary>
        /// Initiates a FuzzyResult-object.
        /// </summary>
        /// <param name="originalString">The original string that is going to be compared</param>
        /// <param name="bestMatch">The best match of the original string</param>
        /// <param name="classification">The classification of the best match</param>
        /// <param name="value">The value of the comparing algorithm. Could be between 0-1 or 0-inf.</param>
        public FuzzyResult(string originalString = "", string bestMatch = "", Classification? classification = null, double value = -1) 
        {
            OriginalString = originalString;
            BestMatch = bestMatch;
            if (classification.HasValue)
                Classification = classification.Value;
            else
                Classification = Classification.Empty;
            Value = value;
        }

        public string OriginalString { get; set; }
        public string BestMatch { get; set; }
        public double Value { get; set; }
        public Classification Classification { get; set; }

    }
}
