﻿using MasterConsole.Code;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MasterConsole
{
    class LevenshteinResult : FuzzyResult
    {
        public LevenshteinResult(string originalString = "", string bestMatch = "", Classification? classification = null, int levenshteinDistance = 999) 
        {
            OriginalString = originalString;
            BestMatch = bestMatch;
            if (classification.HasValue)
                Classification = classification.Value;
            else
                Classification = Classification.Empty;
            LevenshteinDistance = levenshteinDistance;
        }

        public int LevenshteinDistance { get; set; }

    }
}
